> For the complete documentation index, see [llms.txt](https://docs.mdintegrations.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mdintegrations.com/partner-api-reference/cases/diseases/attach-the-given-disease-to-the-case.md).

# Attach the given disease to the case

Attaches the given disease to every prescription currently on the case and records an audit log entry. The case must already have at least one prescription.

```json
{"openapi":"3.1.0","info":{"title":"MD Integrations","version":"1.0.0"},"tags":[{"name":"Cases/Diseases"}],"servers":[{"url":"https://api.mdintegrations.dev/v1","description":"Development"}],"security":[{"oauth2":[]}],"components":{"securitySchemes":{"oauth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://api.mdintegrations.dev/v1/partner/auth/token","scopes":{"*":"Full partner account access"}}}}},"schemas":{"PostCaseDiseaseRequest":{"type":"object","properties":{"disease_id":{"type":"string","format":"uuid"}},"required":["disease_id"],"title":"PostCaseDiseaseRequest"},"App.Http.Resources.V1.DiseaseResource":{"type":"object","properties":{"disease_id":{"type":"string"},"icd":{"type":"string"},"description":{"type":"string"},"is_primary":{"type":"string"}},"required":["disease_id","icd","description"],"title":"App.Http.Resources.V1.DiseaseResource"}},"responses":{"AuthorizationException":{"description":"Authorization error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}},"ModelNotFoundException":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}},"ValidationException":{"description":"Validation error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Errors overview."},"errors":{"type":"object","description":"A detailed description of each field that failed validation.","additionalProperties":{"type":"array","items":{"type":"string"}}}},"required":["message","errors"]}}}}}},"paths":{"/partner/cases/{case}/diseases":{"post":{"operationId":"case.postCaseDisease","description":"Attaches the given disease to every prescription currently on the case and records\nan audit log entry. The case must already have at least one prescription.","summary":"Attach the given disease to the case","tags":["Cases/Diseases"],"parameters":[{"name":"case","in":"path","required":true,"description":"The case ID","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostCaseDiseaseRequest"}}}},"responses":{"200":{"description":"Return the resources' collection;\n\n\n\nArray of `App.Http.Resources.V1.DiseaseResource`","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/App.Http.Resources.V1.DiseaseResource"}}}}},"403":{"$ref":"#/components/responses/AuthorizationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"},"422":{"$ref":"#/components/responses/ValidationException"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mdintegrations.com/partner-api-reference/cases/diseases/attach-the-given-disease-to-the-case.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
